%define upstream_name    App-Notifier-Service
%define upstream_version 0.0902

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An HTTP service for the notifier application for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(POSIX)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An HTTP service for the "notifier" application in perl-App-Notifier-Client.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# Remove the installed app.pl
rm -fr "%{buildroot}/%{_bindir}"

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.90.200-3.mga10
+ Revision: 2207296
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.90.200-2.mga9
+ Revision: 1815768
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 tv <tv> 0.90.200-1.mga9
+ Revision: 1759518
- update to 0.0902

* Tue Oct 20 2020 tv <tv> 0.80.200-1.mga8
+ Revision: 1637192
- update to 0.0802

* Wed Apr 29 2020 shlomif <shlomif> 0.80.100-1.mga8
+ Revision: 1573160
- update to 0.0801

* Tue Apr 14 2020 shlomif <shlomif> 0.80.0-1.mga8
+ Revision: 1567273
- update to 0.0800

* Sat Feb 15 2020 umeabot <umeabot> 0.70.0-2.mga8
+ Revision: 1525200
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 tv <tv> 0.70.0-1.mga7
+ Revision: 1385931
- update to 0.0700

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1281649
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.60.0-1.mga7
+ Revision: 1221442
- update to 0.0600

* Sat Jul 22 2017 shlomif <shlomif> 0.40.100-1.mga7
+ Revision: 1128427
- update to 0.0401

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-5.mga6
+ Revision: 1022548
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.40.0-4.mga6
+ Revision: 939498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 746922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 683519
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.40.0-1.mga5
+ Revision: 617826
- update to 0.0400

* Tue Feb 04 2014 shlomif <shlomif> 0.30.100-1.mga5
+ Revision: 582062
- Add missing BR
- Add description and remove app.pl
- imported package perl-App-Notifier-Service


* Tue Feb 04 2014 cpan2dist 0.0301-1mga
- initial mageia release, generated with cpan2dist
